Skip to main content
GET
/
payments
/
contacts
Get All Contacts
curl --request GET \
  --url https://api.rootfi.dev/v4/payments/contacts \
  --header 'api_key: <api-key>'
{
  "data": [
    {
      "rootfi_id": 12345,
      "rootfi_deleted_at": null,
      "rootfi_created_at": "2025-01-01T00:00:00Z",
      "rootfi_updated_at": "2025-01-15T10:30:00Z",
      "rootfi_company_id": 999,
      "platform_id": "cust_stripe_001",
      "platform_unique_id": "cust_stripe_001",
      "name": "Acme Corporation",
      "tax_number": "12-3456789",
      "type": "customer",
      "status": "active",
      "created_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-15T10:30:00Z",
      "addresses": [
        {
          "type": "billing",
          "street": "123 Main St",
          "city": "New York",
          "state": "NY",
          "postal_code": "10001",
          "country": "US"
        }
      ]
    }
  ],
  "prev": "eyJyb290ZmlfaWQiOjQ0MDA2MX0=",
  "next": "eyJyb291ZmlfaWQiOjQ0MDA2MX0=",
  "total_count": 123
}
A contact is an individual or business entity that receives invoices and makes payments. Commonly referred to as a customer in payment contexts.

Authorizations

api_key
string
header
required

Query Parameters

limit
integer | null

The number of contacts you want to retrieve

next
string | null

The next page of objects to retrieve

prev
string | null

The previous page of objects to retrieve

select
string | null

Comma separated fields to select. Supported values are raw_data, data_hash

rootfi_updated_at[gte]
string | null

Filter by rootfi_updated_at Greater than or Equal To.

rootfi_company_id[eq]
integer | null

Filter by rootfi_company_id. You can filter by any field using this syntax field_name[operator]

include_deleted_records
string | null

Include deleted records. By default, deleted records are not included. Supported values are true and false

return_count
string | null

Return the count of the objects. Supported values are true and false

sort[rootfi_created_at]
enum<string> | null

Sort by rootfi_created_at

Available options:
ASC,
DESC
sort[rootfi_updated_at]
enum<string> | null

Sort by rootfi_updated_at

Available options:
ASC,
DESC

Response

The data of the contacts endpoint.

data
paymentsContactObject · object[]
required
prev
string | null

The previous page of objects to retrieve

next
string | null

The next page of objects to retrieve

total_count
integer | null

The total count of the objects